preremove revision 2a8164df8a5f42c8a00f10c67d7bc84f80ae9c41
#!/bin/sh
#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the
# Common Development and Distribution License (the "License").
# You may not use this file except in compliance with the License.
#
# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
# or http://www.opensolaris.org/os/licensing.
# See the License for the specific language governing permissions
# and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each
# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
# If applicable, add the following below this CDDL HEADER, with the
# fields enclosed by brackets "[]" replaced with your own identifying
# information: Portions Copyright [yyyy] [name of copyright owner]
#
# CDDL HEADER END
#
#
# Copyright 2009 Sun Microsystems, Inc. All rights reserved.
# Use is subject to license terms.
#
#
PATH="/usr/bin:/usr/sbin:${PATH}"; export PATH
SERVICE="svc:/network/npiv_config:default"
#
# The following case implies that the installation was not on the root disk
#
if [ "${PKG_INSTALL_ROOT}" != "" -a "${PKG_INSTALL_ROOT}" != "/" ]; then
#
# Do not disable the service in this case.
#
exit 0
fi
#
# Confirm service is installed, otherwise exit.
#
/usr/bin/svcprop -q ${SERVICE} || exit 0
SVCPROP=`svcprop -p general/enabled ${SERVICE}`
#
# Check to see if the service is running and if so disable it.
#
if [ "${SVCPROP}" = "true" ]; then
svcadm disable ${SERVICE}
if [ $? -ne 0 ]; then
echo "\n$0 Disabling of ${SERVICE} failed!\n" >&2
exit 1
fi
svcadm refresh ${SERVICE}
fi
SERVICE="svc:/network/fcoe_config:default"
#
# Confirm service is installed, otherwise exit.
#
/usr/bin/svcprop -q ${SERVICE} || exit 0
SVCPROP=`svcprop -p general/enabled ${SERVICE}`
#
# Check to see if the service is running and if so disable it.
#
if [ "${SVCPROP}" = "true" ]; then
svcadm disable ${SERVICE}
if [ $? -ne 0 ]; then
echo "\n$0 Disabling of ${SERVICE} failed!\n" >&2
exit 1
fi
svcadm refresh ${SERVICE}
fi
exit 0